import { DENORMALIZER_TYPE } from '~/types/enums'
import BaseDenormalizer from '~/services/serializer/denormalizer/baseDenormalizer'

class DummyDenormalizer extends BaseDenormalizer {}

describe('support()', () => {
  it('should trow an error if support doesnt defined in DummyDenormalizer', () => {
    expect(() => DummyDenormalizer.support(DENORMALIZER_TYPE.HYDRA)).toThrowError('Not implemented')
  })
})
